#!/bin/sh

# Author: Suky
# Version 0.11

PathToSygicConv=`pwd`

rename -f 'y/\ \-/\_\_/' In/*

for i in In/*.gpx
do
	oname=`basename $i .gpx`
	gpsbabel -p "" -c ISO-8859-2 -i gpx -f $i -c ASCII -o xcsv,style="GPXtoUPI.csv" -F "Txt/$oname.tmp"
	sed -e 's/\([^\t;]\+; \)\1/\1/' -e 's/\(WIFI FREE,\? \|Zimny stadion \|MAZDA \)//i' <"Txt/$oname.tmp" >"Txt/$oname.txt"
	wine "$PathToSygicConv/POI Convertor.exe" Txt/$oname.txt $oname.bmp Out/$oname.upi
done

rm Txt/*.tmp
